Package org.apache.sysds.runtime.matrix.operators

# Class SimpleOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.SimpleOperator

All Implemented Interfaces:
  `Serializable`

public class SimpleOperator extends Operator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final FunctionObject`
`fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`SimpleOperator(FunctionObject f)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fn

public final FunctionObject fn

## Constructor Details

### SimpleOperator

public SimpleOperator(FunctionObject f)